from django.db import models
from django.utils.translation import ugettext_lazy as _

from polynum.base.models import Request, DocumentLicence

import constant

class BlackBoardPush(models.Model):
    request = models.ForeignKey(Request)
    course_name = models.TextField(max_length=64)
    visible_to_students = models.BooleanField(blank=True)
    sent = models.BooleanField(blank=True, default=False)
    failure = models.TextField(default='')
    created_on = models.DateTimeField(auto_now_add=True)

    def __unicode__(self):
        s = "push to blacboard request {request} into course {course_name}".format(request=self.request,
                course_name=self.course_name)
        if self.visible_to_students:
            s += ', set it visible to students'
        if self.sent:
            s += ', already sent'
        if self.failure:
            s += ', failed: {0}'.format(self.failure)
        return s


DocumentLicence.add_diffusion_tag(constant.MYCOURSE_TAG, _('Diffusion vers MyCourse'))
